OpenNMS API 1.2.9

## org.opennms.core.utils
Class JavaMailerConfig

    java.lang.Object
      org.opennms.core.utils.JavaMailerConfig

class JavaMailerConfig
extends java.lang.Object

Provides access to the rrd configuration data.

Constructor Summary
`(package private)` `JavaMailerConfig()`

Method Summary
`private static java.util.Properties` `getProperties()` This loads the configuration file.
`static boolean` `getProperty(java.lang.String name, boolean defaultVal)` Get a boolean valued property, returning default value if it is not set or is set to an invalid value.
`static int` `getProperty(java.lang.String name, int defaultVal)` Get a int valued property, returning default value if it is not set or is set to an invalid value.
`static long` `getProperty(java.lang.String name, long defaultVal)` Get a long valued property, returning default value if it is not set or is set to an invalid value
`static java.lang.String` `getProperty(java.lang.String name, java.lang.String defaultVal)` Get a string valued property, returning default value if it is not set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaMailerConfig

    JavaMailerConfig()

Method Detail

### getProperties

    private static java.util.Properties getProperties()
                                               throws java.io.IOException

  This loads the configuration file.

  Returns:
    a Properties object representing the configuration properties
  Throws:
    `java.io.IOException`

### getProperty

    public static java.lang.String getProperty(java.lang.String name,
                                               java.lang.String defaultVal)

  Get a string valued property, returning default value if it is not set.

  Parameters:
    `name` - the property name
    `defaultVal` - the default value to use if the property is not set
  Returns:
    the value of the property

### getProperty

    public static boolean getProperty(java.lang.String name,
                                      boolean defaultVal)

  Get a boolean valued property, returning default value if it is not set or is set to an invalid value.

  Parameters:
    `name` - the property name
    `defaultVal` - the default value to use if the property is not set
  Returns:
    the value of the property

### getProperty

    public static int getProperty(java.lang.String name,
                                  int defaultVal)

  Get a int valued property, returning default value if it is not set or is set to an invalid value.

  Parameters:
    `name` - the property name
    `defaultVal` - the default value to use if the property is not set
  Returns:
    the value of the property

### getProperty

    public static long getProperty(java.lang.String name,
                                   long defaultVal)

  Get a long valued property, returning default value if it is not set or is set to an invalid value

  Parameters:
    `name` - the property name
    `defaultVal` - the default value to use if the property is not set
  Returns:
    the value of the property

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.